/**
 * 要求、委托书及合同评审表相关接口
 */
import request from '@/api/index'

// 列表
export function getListPage(data: any) {
  return request({
    url: `/resource/customer/examine/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 审批操作
export function handlerApproval(data: any) {
  return request({
    url: `/resource/customer/examine/approve?id=${data.id}&signStatus=${data.signStatus}`,
    method: 'post',
  })
}
// // 导出打印
// export function printPage(data: object) {
//   return request({
//     url: '/resource/customer/examine/exportFile',
//     method: 'post',
//     responseType: 'blob',
//     data,
//   })
// }
// 导出打印
export function printPage(data: object) {
  return request({
    url: '/resource/customer/examine/exportFile',
    method: 'post',
    responseType: 'blob',
    data,
  })
}
